# __gnu_debug::Not_equal_to< Type > Class Template Reference

`#include <safe_sequence.h>`

List of all members.

## Detailed Description

### template<typename Type>
class __gnu_debug::Not_equal_to< Type >

A simple function object that returns true if the passed-in value is not equal to the stored value. It saves typing over using both bind1st and not_equal.

Definition at line 47 of file safe_sequence.h.

The documentation for this class was generated from the following file:

- safe_sequence.h